Bug 230312 - List of changes Hibernate has to make to make their docs compatible with docbot at the XML level
List of changes Hibernate has to make to make their docs compatible with docb...
Status: CLOSED UPSTREAM
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: doc-Hibernate_Reference_Guide (Show other bugs)
4.2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joshua Wulf
: Documentation
Depends On:
Blocks: 230313
  Show dependency treegraph
 
Reported: 2007-02-28 03:08 EST by Michael Yuan
Modified: 2014-10-19 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 08:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Yuan 2007-02-28 03:08:06 EST
I understand that the docbot build system has some special requirements w.r.t
how the XML files are structured (the lang parameter and what else?). Can we
have a list of such requirements by comparing the Hibernate docs in the ES repo
with the Hibernate docs in the Hibernate SVN? Thanks.

The Hibernate SVN is this:
http://anonsvn.jboss.org/repos/hibernate/
Comment 1 Michael Yuan 2007-02-28 03:12:31 EST
I mean, the goal is to pull docbook XML files from Hibernate SVN, upload them
into the ES CVS, and have the docbot build it successfully. The Hibernate and ES
do not need to share the same build files (actually, Hibernate uses ANT and ES
uses make, AFAIK).
Comment 2 Michael Hideo 2007-03-01 00:35:29 EST
Michael,

Confirm we will sync with upstream for this release. Translations will remain
downstream in cvs.devel.

Any writers assigned to this project will move into the hibernate upstream svn
source and make their commits there. To build, they will sync back down via docbot.

Joshua,

I'll hand over the hibernate contact as it has been presented. Can you check
with him and confirm that the svn version in HEAD is 4.2.0  When you have
confirmed, let me know and then we will branch and re-sync.

- Mike
Comment 3 Michael Hideo 2007-06-06 00:50:41 EDT
Adding 'cc ecs-dev-list@redhat.com for team coverage

Note You need to log in before you can comment on or make changes to this bug.